CGAL 6.1.1 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Arr_polyline_traits_2< SegmentTraits_2 >::X_monotone_curve_2 Class Reference

`#include <CGAL/Arr_polyline_traits_2.h>`

## Definition

template<typename SegmentTraits_2>
class CGAL::Arr_polyline_traits_2< SegmentTraits_2 >::X_monotone_curve_2

The `X_monotone_curve_2` type nested within the traits class respresnts \(x\)-monotone polylines.

## Public Types
typedef std::vector< X_monotone_segment_2 >::const_iterator | Segment_const_iterator
| Const iterator of subcurves.
typedef std::reverse_iterator< Segment_const_iterator > | Segment_const_reverse_iterator
| Reverse const iterator of subcurves.

## Public Member Functions
| X_monotone_curve_2 ()
| constructs default.
| X_monotone_curve_2 (X_monotone_segment_2 seg)
| constructs from a subcurve.
template<typename InputIterator >
| X_monotone_curve_2 (InputIterator begin, InputIterator end)
| constructs from a range.
Segment_const_iterator | begin_segments () const
| obtains the first iterator of the polyline subcurves.
Segment_const_iterator | end_segments () const
| obtains the past-the-end iterator of the polyline subcurves.
Segment_const_reverse_iterator | rbegin_segments () const
| obtains the first reverse iterator of the polyline subcurves.
Segment_const_reverse_iterator | rend_segments () const
| obtains the past-the-end reverse iterator for the polyline points.
Segments_size_type | number_of_segments () const
| obtains the number of subcurves that comprise the poyline.

## Constructor & Destructor Documentation

## ◆ X_monotone_curve_2()

template<typename SegmentTraits_2 >
template<typename InputIterator >

CGAL::Arr_polyline_traits_2< SegmentTraits_2 >::X_monotone_curve_2::X_monotone_curve_2 | ( | InputIterator | begin,
|  | InputIterator | end
| ) |  |

constructs from a range.

Similar to the constructor of a general polycurve. Like in the case of general polycurve, for the sake of backwards compatibility we have to keep an implementation of construction from a range of points. DO NOT USE THIS CONSTRUCTION.

## Member Function Documentation

## ◆ number_of_segments()

template<typename SegmentTraits_2 >

Segments_size_type CGAL::Arr_polyline_traits_2< SegmentTraits_2 >::X_monotone_curve_2::number_of_segments | ( |  | ) | const

obtains the number of subcurves that comprise the poyline.

Returns
  The number of subcurves.